summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Erik Falor <ewfalor@gmail.com>2012-12-09 11:00:43 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-12-11 16:21:58 -0500
commitc61de3c4c867672e16c88c1a54e0791ce279283a (patch)
tree5987353e30ac4f4094ced25bff77560a91236292 /libraries
parent02c9dd7a1beddfc02506596828f52d467c07fd8e (diff)
downloadslackbuilds-c61de3c4c867672e16c88c1a54e0791ce279283a.tar.gz
slackbuilds-c61de3c4c867672e16c88c1a54e0791ce279283a.tar.xz
libraries/DirectFB: Added (library for Linux framebuffer devices)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/DirectFB/DirectFB.SlackBuild98
-rw-r--r--libraries/DirectFB/DirectFB.info10
-rw-r--r--libraries/DirectFB/README19
-rw-r--r--libraries/DirectFB/slack-desc19
4 files changed, 146 insertions, 0 deletions
diff --git a/libraries/DirectFB/DirectFB.SlackBuild b/libraries/DirectFB/DirectFB.SlackBuild
new file mode 100644
index 0000000000..894c90d750
--- /dev/null
+++ b/libraries/DirectFB/DirectFB.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for DirectFB-1.6.2
+
+# Copyright 2012 Erik Falor <ewfalor@gmail.com> USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=DirectFB
+VERSION=${VERSION:-1.6.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/DirectFB/DirectFB.info b/libraries/DirectFB/DirectFB.info
new file mode 100644
index 0000000000..ea7aff285e
--- /dev/null
+++ b/libraries/DirectFB/DirectFB.info
@@ -0,0 +1,10 @@
+PRGNAM="DirectFB"
+VERSION="1.6.2"
+HOMEPAGE="http://www.directfb.org/"
+DOWNLOAD="http://www.directfb.org/downloads/Core/DirectFB-1.6/DirectFB-1.6.2.tar.gz"
+MD5SUM="6bebdbf26f03f7114ae17ab86d4d1d27"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Erik Falor"
+EMAIL="ewfalor@gmail.com"
diff --git a/libraries/DirectFB/README b/libraries/DirectFB/README
new file mode 100644
index 0000000000..0ba112e50b
--- /dev/null
+++ b/libraries/DirectFB/README
@@ -0,0 +1,19 @@
+DirectFB (Thin library on top of the Linux framebuffer devices)
+
+DirectFB is a thin library that provides hardware graphics
+acceleration, input device handling and abstraction, integrated
+windowing system with support for translucent windows and multiple
+display layers, not only on top of the Linux Framebuffer Device. It
+is a complete hardware abstraction layer with software fallbacks for
+every graphics operation that is not supported by the underlying
+hardware.
+
+If you experience difficulties with your mouse or keyboard within a
+DirectFB application, create the /etc/directfbrc configuration file
+and try adding the following directives, as appropriate:
+
+ disable-module=keyboard
+ disable-module=ps2mouse
+ disable-module=serialmouse
+
+Read directfbrc(5) for more details on configuring the DirectFB library.
diff --git a/libraries/DirectFB/slack-desc b/libraries/DirectFB/slack-desc
new file mode 100644
index 0000000000..931d0061be
--- /dev/null
+++ b/libraries/DirectFB/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+DirectFB: DirectFB (Thin library on top of the Linux framebuffer devices)
+DirectFB:
+DirectFB: DirectFB is a thin library that provides hardware graphics
+DirectFB: acceleration, input device handling and abstraction, integrated
+DirectFB: windowing system with support for translucent windows and multiple
+DirectFB: display layers, not only on top of the Linux Framebuffer Device. It
+DirectFB: is a complete hardware abstraction layer with software fallbacks for
+DirectFB: every graphics operation that is not supported by the underlying
+DirectFB: hardware.
+DirectFB:
+DirectFB: